GW6C(8)

NAME
gw6c - Gateway6 Client

SYNOPSIS
gw6c [-h] [-]?
gw6c [-c]
gw6c [-f config_file] [-i interface_name] [-u interface_name] [-s interface_name] [-r retry_delay]

DESCRIPTION
gw6c provides a means to configure a tunnel obtained from a tunnel server that supports the tunnel setup protocol (TSP). gw6c will connect to a tunnel server and request a tunnel according to the specifications given in the configuration file. As a background process, it will then monitor the state of the tunnel. In the event of a timeout, gw6c will establish a new tunnel.

gw6c currently supports three types of tunnels:

- v6v4 (IPv6 over IPv4)
    Supported on FreeBSD, NetBSD, OpenBSD, Linux, Windows, Darwin and OpenWRT.

- v6udpv4 (IPv6 over UDP over IPv4)
    Supported on FreeBSD, Linux, Windows, Darwin and OpenWRT.

- v4v6 (IPv4 over IPv6 (DSTM))
    Supported on FreeBSD and Windows.

ARGUMENTS
The following options are available:

-h,?
    Displays a short usage summary and quits.

-c  Runs a simple check on your configuration file for errors.

-f configuration_file
    Specifies a different configuration file.
    Default is /usr/local/etc/gw6c.conf.

-s interface_name
    Overrides client_v4 in gw6c.conf(5)

-i interface_name
    Overrides if_tunnel_v6v4 in gw6c.conf(5)

-u interface_name
    Overrides if_tunnel_v6udpv4 in gw6c.conf(5)

-r retry_delay
    Overrides retry_delay in gw6c.conf(5)

SEE ALSO
gw6c.conf(5)
http://www.hexago.com

ACKNOWLEDGMENT
This software uses code taken from other organizations as :

- RSA data security for md5.

- The Apache Software Foundation for Base64 encoding and decoding.

AUTHORS
Hexago Inc.
http://www.hexago.com
support@go6.net
support@hexago.com